/*------------------------------------------------------------------------------
  ().........:   igor727@mail.ru
  ..: ATTINY85
  .......: 
  .........:  / eeprom
  .............: 
------------------------------------------------------------------------------*/
#include <ioavr.h>
#include <intrinsics.h>
#include "eeprom.h"

//==============================================================================
//================================EEPROM_Write==================================
//==============================================================================
void EEPROM_Write(unsigned char ucAddress, unsigned char ucData)
{
    while(EECR & (1<<EEWE))
    {;}
    EECR = (0<<EEPM1)|(0<<EEPM0);
    EEAR = ucAddress;
    EEDR = ucData;
    EECR |= (1<<EEMWE);
    EECR |= (1<<EEWE);
    while(EECR & (1<<EEWE))
    {;}
}

//==============================================================================
//================================EEPROM_Read ==================================
//==============================================================================
unsigned char EEPROM_Read(unsigned char ucAddress)
{ while( EECR & (1<<EEWE) )
  {;}
  EEAR = ucAddress;
  EECR |= (1<<EERE);
  return EEDR;
}
